package com.steerinfo.ems.tcmcodeitem.model;

import com.steerinfo.framework.model.IBasePO;
import io.swagger.annotations.ApiModelProperty;

public class TCmCodeitem implements IBasePO<String> {

    private String id;
    /**
     * 类别代码(TYPECODE,VARCHAR,40)
     */
    @ApiModelProperty(value="类别代码",required=false)
    private String typecode;

    /**
     * 项目代码(ITEMCODE,VARCHAR,40)
     */
    @ApiModelProperty(value="项目代码",required=false)
    private String itemcode;

    /**
     * 项目名称(ITEMNAME,VARCHAR,60)
     */
    @ApiModelProperty(value="项目名称",required=false)
    private String itemname;

    /**
     * 英文名称(ITEMENAME,VARCHAR,60)
     */
    @ApiModelProperty(value="英文名称",required=true)
    private String itemename;

    /**
     * 描述(ITEMDESC,VARCHAR,100)
     */
    @ApiModelProperty(value="描述",required=true)
    private String itemdesc;

    /**
     * 备用代码(ITEMCODE_1,VARCHAR,40)
     */
    @ApiModelProperty(value="备用代码",required=true)
    private String itemcode1;

    /**
     * 备用描述(ITEMDESC_1,VARCHAR,200)
     */
    @ApiModelProperty(value="备用描述",required=true)
    private String itemdesc1;

    /**
     * 创建者(REC_CREATOR,VARCHAR,40)
     */
    @ApiModelProperty(value="创建者",required=true)
    private String recCreator;

    /**
     * 创建时间(REC_CREATETIME,VARCHAR,40)
     */
    @ApiModelProperty(value="创建时间",required=true)
    private String recCreatetime;

    /**
     * 分类1(CLASSIFY1,VARCHAR,40)
     */
    @ApiModelProperty(value="分类1",required=true)
    private String classify1;

    /**
     * 分类2(CLASSIFY2,VARCHAR,40)
     */
    @ApiModelProperty(value="分类2",required=true)
    private String classify2;

    /**
     * 分类3(CLASSIFY3,VARCHAR,40)
     */
    @ApiModelProperty(value="分类3",required=true)
    private String classify3;

    /**
     * 分类4(CLASSIFY4,VARCHAR,40)
     */
    @ApiModelProperty(value="分类4",required=true)
    private String classify4;

    /**
     * 分类5(CLASSIFY5,VARCHAR,40)
     */
    @ApiModelProperty(value="分类5",required=true)
    private String classify5;

    /**
     * 备用代码(BCODE,VARCHAR,40)
     */
    @ApiModelProperty(value="备用代码",required=true)
    private String bcode;

    /**
     * 备用描述1(BDESC1,VARCHAR,60)
     */
    @ApiModelProperty(value="备用描述1",required=true)
    private String bdesc1;

    /**
     * 备用描述2(BDESC2,VARCHAR,100)
     */
    @ApiModelProperty(value="备用描述2",required=true)
    private String bdesc2;

    /**
     * 排序(SEQNO,DECIMAL,0)
     */
    @ApiModelProperty(value="排序",required=true)
    private Short seqno;

    private static final long serialVersionUID = 1L;

    @Override
    public String getId() {
        return id;
    }

    @Override
    public void setId(String id) {
        this.id = id == null ? null : id.trim();
    }

    public String getTypecode() {
        return typecode;
    }

    public void setTypecode(String typecode) {
        this.typecode = typecode == null ? null : typecode.trim();
    }

    public String getItemcode() {
        return itemcode;
    }

    public void setItemcode(String itemcode) {
        this.itemcode = itemcode == null ? null : itemcode.trim();
    }

    public String getItemname() {
        return itemname;
    }

    public void setItemname(String itemname) {
        this.itemname = itemname == null ? null : itemname.trim();
    }

    public String getItemename() {
        return itemename;
    }

    public void setItemename(String itemename) {
        this.itemename = itemename == null ? null : itemename.trim();
    }

    public String getItemdesc() {
        return itemdesc;
    }

    public void setItemdesc(String itemdesc) {
        this.itemdesc = itemdesc == null ? null : itemdesc.trim();
    }

    public String getItemcode1() {
        return itemcode1;
    }

    public void setItemcode1(String itemcode1) {
        this.itemcode1 = itemcode1 == null ? null : itemcode1.trim();
    }

    public String getItemdesc1() {
        return itemdesc1;
    }

    public void setItemdesc1(String itemdesc1) {
        this.itemdesc1 = itemdesc1 == null ? null : itemdesc1.trim();
    }

    public String getRecCreator() {
        return recCreator;
    }

    public void setRecCreator(String recCreator) {
        this.recCreator = recCreator == null ? null : recCreator.trim();
    }

    public String getRecCreatetime() {
        return recCreatetime;
    }

    public void setRecCreatetime(String recCreatetime) {
        this.recCreatetime = recCreatetime == null ? null : recCreatetime.trim();
    }

    public String getClassify1() {
        return classify1;
    }

    public void setClassify1(String classify1) {
        this.classify1 = classify1 == null ? null : classify1.trim();
    }

    public String getClassify2() {
        return classify2;
    }

    public void setClassify2(String classify2) {
        this.classify2 = classify2 == null ? null : classify2.trim();
    }

    public String getClassify3() {
        return classify3;
    }

    public void setClassify3(String classify3) {
        this.classify3 = classify3 == null ? null : classify3.trim();
    }

    public String getClassify4() {
        return classify4;
    }

    public void setClassify4(String classify4) {
        this.classify4 = classify4 == null ? null : classify4.trim();
    }

    public String getClassify5() {
        return classify5;
    }

    public void setClassify5(String classify5) {
        this.classify5 = classify5 == null ? null : classify5.trim();
    }

    public String getBcode() {
        return bcode;
    }

    public void setBcode(String bcode) {
        this.bcode = bcode == null ? null : bcode.trim();
    }

    public String getBdesc1() {
        return bdesc1;
    }

    public void setBdesc1(String bdesc1) {
        this.bdesc1 = bdesc1 == null ? null : bdesc1.trim();
    }

    public String getBdesc2() {
        return bdesc2;
    }

    public void setBdesc2(String bdesc2) {
        this.bdesc2 = bdesc2 == null ? null : bdesc2.trim();
    }

    public Short getSeqno() {
        return seqno;
    }

    public void setSeqno(Short seqno) {
        this.seqno = seqno;
    }

    @Override
    public String toString() {
        StringBuilder sb = new StringBuilder();
        sb.append(getClass().getSimpleName());
        sb.append(" [");
        sb.append("Hash = ").append(hashCode());
        sb.append(", typecode=").append(typecode);
        sb.append(", itemcode=").append(itemcode);
        sb.append(", itemname=").append(itemname);
        sb.append(", itemename=").append(itemename);
        sb.append(", itemdesc=").append(itemdesc);
        sb.append(", itemcode1=").append(itemcode1);
        sb.append(", itemdesc1=").append(itemdesc1);
        sb.append(", recCreator=").append(recCreator);
        sb.append(", recCreatetime=").append(recCreatetime);
        sb.append(", classify1=").append(classify1);
        sb.append(", classify2=").append(classify2);
        sb.append(", classify3=").append(classify3);
        sb.append(", classify4=").append(classify4);
        sb.append(", classify5=").append(classify5);
        sb.append(", bcode=").append(bcode);
        sb.append(", bdesc1=").append(bdesc1);
        sb.append(", bdesc2=").append(bdesc2);
        sb.append(", seqno=").append(seqno);
        sb.append(", serialVersionUID=").append(serialVersionUID);
        sb.append("]");
        return sb.toString();
    }
}